org.apache.ignite.internal.processors.security

## Class IgniteSecurityAdapter

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.security.IgniteSecurityAdapter

All Implemented Interfaces:
  GridComponent, GridProcessor, IgniteSecurity

Direct Known Subclasses:
  IgniteSecurityProcessor, NoOpIgniteSecurityProcessor

    public abstract class IgniteSecurityAdapter
    extends GridProcessorAdapter
    implements IgniteSecurity

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
`protected` `IgniteSecurityAdapter(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isSystemType(Class<?> cls)`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.security.IgniteSecurity

`alterUser, authenticate, authenticatedSubject, authenticatedSubjects, authenticateNode, authorize, authorize, createUser, dropUser, enabled, isDefaultContext, isGlobalNodeAuthentication, onLocalJoin, onSessionExpired, sandbox, securityContext, withContext, withContext`

### Constructor Detail

#### IgniteSecurityAdapter

    protected IgniteSecurityAdapter(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### isSystemType

    public boolean isSystemType(Class<?> cls)

Specified by:
  `isSystemType` in interface `IgniteSecurity`
Parameters:
  `cls` - The class for which the check is to be performed.
Returns:
  Whether the specified class can be considered system. System classes are classes whose source code can be considered controlled by the Ignite administrator and to which less stringent security checks can be applied. By default, Ignite considers only classes from its own codebase as system but their pool can be extended by custom Security Plugin.
See Also:
  `GridSecurityProcessor.isSystemType(Class)`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023